# GLM_GTX_fast_square_root

GLM_GTX_fast_square_root
GTX Extensions (Experimental)

## Functions

template<typename genType >
genType::value_type | fastDistance (genType const &x, genType const &y)
template<typename genType >
genType | fastInverseSqrt (genType const &x)
template<typename genType >
genType::value_type | fastLength (genType const &x)
template<typename genType >
genType | fastNormalize (genType const &x)
template<typename genType >
genType | fastSqrt (genType const &x)

## Detailed Description

Fast but less accurate implementations of square root based functions.

- Sqrt optimisation based on Newton's method, www.gamedev.net/community/forums/topic.asp?topic id=139956

<glm/gtx/fast_square_root.hpp> need to be included to use these functionalities.

## Function Documentation

genType::value_type glm::fastDistance | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Faster than the common distance function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::fastInverseSqrt | ( | genType const & | x | ) |

Faster than the common inversesqrt function but less accurate.

From GLM_GTX_fast_square_root extension.

genType::value_type glm::fastLength | ( | genType const & | x | ) |

Faster than the common length function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::fastNormalize | ( | genType const & | x | ) |

Faster than the common normalize function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::fastSqrt | ( | genType const & | x | ) |

Faster than the common sqrt function but less accurate.

From GLM_GTX_fast_square_root extension.